Bug 206398 - databases/postgis21 Update to 2.1.8
Summary: databases/postgis21 Update to 2.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-19 11:25 UTC by Jochen Neumeister
Modified: 2016-12-27 14:53 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
postgis21.diff (775 bytes, text/plain)
2016-01-19 11:25 UTC, Jochen Neumeister
no flags Details
Patch (2.00 KB, patch)
2016-12-27 13:27 UTC, Jochen Neumeister
joneum: maintainer-approval? (harrison.grundy)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Harrison Grundy 2016-01-19 11:32:09 UTC
Needs a minor change for the update scripts. I'll get it this weekend, or if you want to update the patch, I'll get it approved today.

Thanks, sorry I didn't catch the 2.1.8 update!

--- Harrison
Comment 2 Jochen Neumeister freebsd_committer 2016-08-23 05:51:34 UTC
Hi Harrison, have you a new patch about this problem?
Comment 3 Jochen Neumeister freebsd_committer 2016-10-26 06:34:52 UTC
(In reply to Harrison Grundy from comment #1)

ping @Harrison
Comment 4 Jochen Neumeister freebsd_committer 2016-12-07 12:02:45 UTC
ping
Comment 5 Jochen Neumeister freebsd_committer 2016-12-27 13:27:26 UTC
Created attachment 178324 [details]
Patch

New patch for Update to 2.1.8

Remove files/patch-postgis-lwgeom_accum.c

I set the maintainer-approval Flag on "?" - but i am not sure, to get a feedback from the Maintainer. This PR is open a lot of Months.

Poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r307551)

Make test is also fine.

Cheers
jochen
Comment 6 commit-hook freebsd_committer 2016-12-27 14:52:47 UTC
A commit references this bug:

Author: pi
Date: Tue Dec 27 14:52:35 UTC 2016
New revision: 429621
URL: https://svnweb.freebsd.org/changeset/ports/429621

Log:
  databases/postgis21: update 2.1.7 -> 2.1.8

  PR:		206398
  Changes:	http://svn.osgeo.org/postgis/tags/2.1.8/NEWS
  Submitted by:	Jochen Neumeister <joneum@bsdproject.de>
  Approved by:	harrison.grundy@astrodoggroup.com (maintainer timeout)

Changes:
  head/databases/postgis21/Makefile
  head/databases/postgis21/distinfo
  head/databases/postgis21/files/
Comment 7 Kurt Jaeger freebsd_committer 2016-12-27 14:53:18 UTC
Committed, thanks.